# Keyword History

Source: https://www.ranked.ai/developers/api-reference/keywords/history

`GET https://app.ranked.ai/api/v1/projects/{projectId}/rankings/keywords/{keywordId}/history`

> Get daily position history for a specific keyword

Returns daily position data across all search channels for a tracked keyword.

### Path parameters

- `projectId` (path, string, required): Project UUID

- `keywordId` (path, string, required): Keyword UUID (from the keywords list endpoint)

### Query parameters

- `date_from` (query, string): Start date (ISO 8601). Defaults to 90 days ago.

- `date_to` (query, string): End date (ISO 8601). Defaults to today.

**Request**

```bash cURL
curl "https://app.ranked.ai/api/v1/projects/{projectId}/rankings/keywords/{keywordId}/history" \
  -H "Authorization: Bearer rk_live_your_api_key"
```

**Response**

```json 200
{
  "success": true,
  "data": {
    "keyword_id": "abc-123",
    "keyword": "tree care services sioux city",
    "history": [
      {
        "check_date": "2026-05-14",
        "desktop_position": 5,
        "mobile_position": 3,
        "ai_mode_position": 3,
        "maps_position": 3,
        "featured_snippet": false,
        "local_pack_position": null
      }
    ],
    "summary": {
      "best_position": 1,
      "worst_position": 12,
      "data_points": 30
    }
  }
}
```
